Subject: bug#7560: closed (Re: bug#7560: 24.0.50; 'bzr status' blocking making of GNU Emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Dec 2010 21:09:02 +0000

Your bug report

#7560: 24.0.50; 'bzr status' blocking making of GNU Emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7560: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7560
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7560: 24.0.50; 'bzr status' blocking making of GNU Emacs
From: Eli Zaretskii <[email-masked]>
To: Peter Dyballa <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 08 Dec 2010 23:14:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked],
>  [email-masked],
>  [email-masked]
> From: Peter Dyballa <[email-masked]>
> Date: Wed, 8 Dec 2010 17:29:17 +0100
> 
> The answer to my bug report is, as Glenn already deduced:
> 
> 	I'm pretty sure you're using a lightweight checkout, which has to
> 	connect to the branch, which is remote.
> 
> I think this is true. I remember that I read about a "lightweight  
> checkout" and was glad that this option existed: less than 250 MB of  
> data on my disk. Now I know the disadvantage of saving the other 250  
> MB and can handle it.
> 
> Sorry for the noise!

Thanks, I'm closing the bug.

Subject: 24.0.50; 'bzr status' blocking making of GNU Emacs
From: Peter Dyballa <[email-masked]>
To: [email-masked]
Date: Sun, 5 Dec 2010 17:29:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

When trying to compile GNU Emacs bzr stops compilation:

   501 94276 94173    4000   0  20 11    91488  14304 -      SNs   
71c1470 ??         0:00.87 /opt/local/Library/Frameworks/ 
Python.framework/Versions/2.6/Resources/Python.app/Contents/MacOS/ 
Python /opt/local/bin/bzr status dired.el

I did update a few hours ago and me, I don't mind using an out-of-date  
Emacs. So, why is bzr being invoked? Is everybody excluded from  
compiling GNU Emacs without a permanent internet connection? And: Is  
the server permanently on?!

I also get:

	Dumping under the name emacs
	--- List of All Regions ---
	.
	.
	.
	Writing LC_LOAD_DYLIB     command
	4612 unused bytes follow Mach-O header
	1218418 pure bytes used
	Adding name emacs-24.0.50.1
	Symbol's function definition is void: defadvice
	cd lisp; make all -k                           \

maybe from killing bzr and its parent process and re-making GNU Emacs...

Some weeks ago I invoked 'make bootstrap' when I just scroll back in  
compilation history...

And this

      \--= 97725 pete /opt/local/Library/Frameworks/Python.framework/ 
Versions/2.6/Resources/Python.app/Contents/MacOS/Python /opt/local/bin/ 
bzr status emacsclient.c

blocks whole Emacs. Only by killing it and launching it again I can  
get it operable again.

--
Greetings

   Pete

Think of XML as Lisp for COBOL programmers.
				- Tony-A (some guy on /.)